Skip to content

Select theme

Assign Group Layers

PUT
/{organization}/projects/{projectId}/groups/{groupId}/layers
curl --request PUT \
--url https://app.civillo.com/api/v1/example/projects/1/groups/example/layers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "layerIds": [ 1, 2, 3 ] }'

Add layer associations to this group. This action will add layer provided in the request body, ignoring layers that are already associated or do not exist. This action cannot not remove any layer associations.

organization
required
string

The organization nickname

projectId
required
integer

The project id

groupId
required
string

The group id

The layer ids to be newly associated with the group

Media typeapplication/json
object
layerIds
Array<integer>
Example
{
"layerIds": [
1,
2,
3
]
}

Successful response

Bad Request

Unauthorized

Forbidden